-- PP_Environment_Gameplay
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,								Kind)
VALUES	('POLICY_JNR_HYDROGEN_ENGINES',		'KIND_POLICY'),
		('POLICY_JNR_BIODIVERSITY',			'KIND_POLICY'),
		('POLICY_JNR_ENERGIEWENDE',			'KIND_POLICY'),
		('POLICY_JNR_FEED_IN_TARIFFS',		'KIND_POLICY'),
		('POLICY_JNR_FISHING_QUOTAS',		'KIND_POLICY'),
		('POLICY_JNR_GREEN_BUILDING',		'KIND_POLICY'),
		('POLICY_JNR_ORGANIC_FARMING',		'KIND_POLICY'),
		('POLICY_JNR_VSR_ZONES',			'KIND_POLICY'),
		('POLICY_JNR_ECOTOURISM',			'KIND_POLICY'),
		('POLICY_JNR_CARBON_CERTIFICATES',	'KIND_POLICY');
--------------------------------------------------------------

-- Policies
--------------------------------------------------------------
INSERT OR IGNORE INTO Policies
		(PolicyType,						GovernmentSlotType,		PrereqCivic,						Name,										Description)
VALUES	('POLICY_JNR_HYDROGEN_ENGINES',		'SLOT_MILITARY',		'CIVIC_SYNTHETIC_TECHNOCRACY',		'LOC_POLICY_JNR_HYDROGEN_ENGINES_NAME',		'LOC_POLICY_JNR_HYDROGEN_ENGINES_DESCRIPTION'),	
		('POLICY_JNR_BIODIVERSITY',			'SLOT_ECONOMIC',		'CIVIC_ENVIRONMENTALISM',			'LOC_POLICY_JNR_BIODIVERSITY_NAME',			'LOC_POLICY_JNR_BIODIVERSITY_DESCRIPTION'),
		('POLICY_JNR_ENERGIEWENDE',			'SLOT_ECONOMIC',		'CIVIC_GLOBAL_WARMING_MITIGATION',	'LOC_POLICY_JNR_ENERGIEWENDE_NAME',			'LOC_POLICY_JNR_ENERGIEWENDE_DESCRIPTION'),
		('POLICY_JNR_FEED_IN_TARIFFS',		'SLOT_ECONOMIC',		'CIVIC_GLOBAL_WARMING_MITIGATION',	'LOC_POLICY_JNR_FEED_IN_TARIFFS_NAME',		'LOC_POLICY_JNR_FEED_IN_TARIFFS_DESCRIPTION'),
		('POLICY_JNR_FISHING_QUOTAS',		'SLOT_ECONOMIC',		'CIVIC_ENVIRONMENTALISM',			'LOC_POLICY_JNR_FISHING_QUOTAS_NAME',		'LOC_POLICY_JNR_FISHING_QUOTAS_DESCRIPTION'),
		('POLICY_JNR_GREEN_BUILDING',		'SLOT_ECONOMIC',		'CIVIC_CULTURAL_HERITAGE',			'LOC_POLICY_JNR_GREEN_BUILDING_NAME',		'LOC_POLICY_JNR_GREEN_BUILDING_DESCRIPTION'),
		('POLICY_JNR_ORGANIC_FARMING',		'SLOT_ECONOMIC',		'CIVIC_CONSERVATION',				'LOC_POLICY_JNR_ORGANIC_FARMING_NAME',		'LOC_POLICY_JNR_ORGANIC_FARMING_DESCRIPTION'),
		('POLICY_JNR_CARBON_CERTIFICATES',	'SLOT_DIPLOMATIC',		'CIVIC_GLOBAL_WARMING_MITIGATION',	'LOC_POLICY_JNR_CARBON_CERTIFICATES_NAME',	'LOC_POLICY_JNR_CARBON_CERTIFICATES_DESCRIPTION'),
		('POLICY_JNR_ECOTOURISM',			'SLOT_DIPLOMATIC',		'CIVIC_ENVIRONMENTALISM',			'LOC_POLICY_JNR_ECOTOURISM_NAME',			'LOC_POLICY_JNR_ECOTOURISM_DESCRIPTION'),
		('POLICY_JNR_VSR_ZONES',			'SLOT_DIPLOMATIC',		'CIVIC_ENVIRONMENTALISM',			'LOC_POLICY_JNR_VSR_ZONES_NAME',			'LOC_POLICY_JNR_VSR_ZONES_DESCRIPTION');

UPDATE Policies SET Description='LOC_POLICY_JNR_BIODIVERSITY_DESCRIPTION_PRESERVE'	WHERE PolicyType='POLICY_JNR_BIODIVERSITY'	AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
UPDATE Policies SET Description='LOC_POLICY_JNR_ECOTOURISM_DESCRIPTION_PRESERVE'	WHERE PolicyType='POLICY_JNR_ECOTOURISM'	AND EXISTS (SELECT * FROM Districts WHERE DistrictType='DISTRICT_PRESERVE');
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,									Kind)
VALUES	('ABILITY_JNR_HYDROGEN_RESOURCE_FREE',	'KIND_ABILITY');
--------------------------------------------------------------

-- UnitAbilities
--------------------------------------------------------------
INSERT OR IGNORE INTO UnitAbilities
		(UnitAbilityType,						Name,											Description,											Inactive)
VALUES	('ABILITY_JNR_HYDROGEN_RESOURCE_FREE',	'LOC_ABILITY_JNR_HYDROGEN_RESOURCE_FREE_NAME',	'LOC_ABILITY_JNR_HYDROGEN_RESOURCE_FREE_DESCRIPTION',	1);
--------------------------------------------------------------

-- Tags
--------------------------------------------------------------
INSERT OR IGNORE INTO Tags
		(Tag,							Vocabulary)
VALUES	('CLASS_POWER_RESOURCE_JNR',	'ABILITY_CLASS');
--------------------------------------------------------------

-- TypeTags
--------------------------------------------------------------
INSERT OR IGNORE INTO TypeTags
		(Type,									Tag)
VALUES	('ABILITY_JNR_HYDROGEN_RESOURCE_FREE',	'CLASS_POWER_RESOURCE_JNR');

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_POWER_RESOURCE_JNR'
FROM Units_XP2 WHERE ResourceMaintenanceType IN ('RESOURCE_COAL', 'RESOURCE_OIL');
--------------------------------------------------------------

-- Requirements
--------------------------------------------------------------
INSERT OR IGNORE INTO Requirements
		(RequirementId,							RequirementType)
VALUES	('REQUIRES_PLOT_HAS_TERRACE_FARM_JNR',	'REQUIREMENT_PLOT_IMPROVEMENT_TYPE_MATCHES'),
		('REQUIRES_CITY_HAS_PRESERVE_JNR',		'REQUIREMENT_CITY_HAS_DISTRICT');

INSERT OR IGNORE INTO Requirements
		(RequirementId,													RequirementType)
SELECT	'REQUIRES_DISTRICT_IS' || SUBSTR(DistrictType,10) || '_JNR',	'REQUIREMENT_DISTRICT_TYPE_MATCHES'
FROM	Districts
WHERE	RequiresPopulation=1 AND TraitType IS NULL;
--------------------------------------------------------------

-- RequirementArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,							Name,				Value)
VALUES	('REQUIRES_PLOT_HAS_TERRACE_FARM_JNR',	'ImprovementType',	'IMPROVEMENT_TERRACE_FARM');	
		
INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,							Name,				Value)
SELECT	'REQUIRES_CITY_HAS_PRESERVE_JNR',		'DistrictType',		DistrictType
FROM	Districts
WHERE	DistrictType='DISTRICT_PRESERVE';		
		
		INSERT OR IGNORE INTO RequirementArguments
		(RequirementId,													Name,			Value)
SELECT	'REQUIRES_DISTRICT_IS' || SUBSTR(DistrictType,10) || '_JNR',	'DistrictType',	DistrictType
FROM	Districts
WHERE	RequiresPopulation=1 AND TraitType IS NULL;
--------------------------------------------------------------

-- RequirementSets
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSets
		(RequirementSetId,							RequirementSetType)
VALUES	('CITY_HAS_PRESERVE_JNR',					'REQUIREMENTSET_TEST_ALL'),
		('DISTRICT_IS_SPECIALTY_JNR',				'REQUIREMENTSET_TEST_ANY'),
		('PLOT_HAS_LUMBER_MILL_REQUIREMENTS_JNR',	'REQUIREMENTSET_TEST_ALL'),
		('REQUIREMENTS_PLOT_HAS_ANY_FARM_TYPE_JNR',	'REQUIREMENTSET_TEST_ANY'),
		('CITY_HAS_CARBON_POWER_PLANT_JNR',			'REQUIREMENTSET_TEST_ANY');
--------------------------------------------------------------

-- RequirementSetRequirements
--------------------------------------------------------------
INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,							RequirementId)
VALUES	('CITY_HAS_PRESERVE_JNR',					'REQUIRES_CITY_HAS_PRESERVE_JNR'),
		('PLOT_HAS_LUMBER_MILL_REQUIREMENTS_JNR',	'REQUIRES_PLOT_HAS_LUMBER_MILL'),
		('REQUIREMENTS_PLOT_HAS_ANY_FARM_TYPE_JNR',	'REQUIRES_PLOT_HAS_FARM'),
		('REQUIREMENTS_PLOT_HAS_ANY_FARM_TYPE_JNR',	'REQUIRES_PLOT_HAS_TERRACE_FARM_JNR'),
		('CITY_HAS_CARBON_POWER_PLANT_JNR',			'REQUIRES_CITY_HAS_COAL_POWER_PLANT'),
		('CITY_HAS_CARBON_POWER_PLANT_JNR',			'REQUIRES_CITY_HAS_FOSSIL_FUEL_POWER_PLANT');

INSERT OR IGNORE INTO RequirementSetRequirements
		(RequirementSetId,				RequirementId)
SELECT	'DISTRICT_IS_SPECIALTY_JNR',	'REQUIRES_DISTRICT_IS' || SUBSTR(DistrictType,10) || '_JNR'
FROM	Districts
WHERE	RequiresPopulation=1 AND TraitType IS NULL;
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,												Kind)
VALUES	('MODIFIER_JNR_PLAYER_DISTRICTS_ADJUST_FREE_POWER',	'KIND_MODIFIER');
--------------------------------------------------------------

-- DynamicModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO DynamicModifiers
		(ModifierType,										CollectionType,					EffectType)
VALUES	('MODIFIER_JNR_PLAYER_DISTRICTS_ADJUST_FREE_POWER',	'COLLECTION_PLAYER_DISTRICTS',	'EFFECT_ADJUST_CITY_FREE_POWER');
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,										ModifierType,													SubjectRequirementSetId)
VALUES	('JNR_HYDROGENENGINES_GOLD_MAINTENANCE_COST',		'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT',				NULL),
		('JNR_HYDROGENENGINES_ABILITY_ATTACH',				'MODIFIER_PLAYER_UNITS_GRANT_ABILITY',							NULL),
		('JNR_HYDROGENENGINES_RESOURCE_MAINTENANCE_IGNORE',	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_RESOURCE_MAINTENANCE',		NULL),

		('JNR_BIODIVERSITY_NATIONAL_PARK_ATTACH',			'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER',						'CITY_HAS_NATIONAL_PARK_REQUREMENTS'),
		('JNR_BIODIVERSITY_PRESERVE_ATTACH',				'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER',						'CITY_HAS_PRESERVE_JNR'),
		('JNR_BIODIVERSITY_NATIONAL_PARK',					'MODIFIER_PLAYER_ADD_SEQUESTERED_CARBON',						NULL),
		('JNR_BIODIVERSITY_PRESERVE',						'MODIFIER_PLAYER_ADD_SEQUESTERED_CARBON',						NULL),

		('JNR_ENERGIEWENDE_SCIENCE_IMPROVEMENTS',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'PLOT_HAS_RENEWABLE_IMPROVEMENT'),
		('JNR_ENERGIEWENDE_SCIENCE_BUILDING',				'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_YIELD_CHANGE',			NULL),
		
		('JNR_FEEDINTARIFFS_POWER',							'MODIFIER_JNR_PLAYER_DISTRICTS_ADJUST_FREE_POWER',				NULL),

		('JNR_FISHINGQUOTAS_GOLD_PENALTY_COAST',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'LONGSHIP_PLOT_IS_COAST'),
		('JNR_FISHINGQUOTAS_FOOD_PENALTY_COAST',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'LONGSHIP_PLOT_IS_COAST'),
		('JNR_FISHINGQUOTAS_FOOD_PENALTY_OCEAN',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'UBOAT_PLOT_IS_OCEAN_REQUIREMENTS'),
		('JNR_FISHINGQUOTAS_FAVOR_COASTAL',					'MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_FAVOR_PER_TURN',			'PLOT_IS_ADJACENT_TO_COAST'),

		('JNR_GREENBUILDINGS_PRODUCTION_PENALTY_MINE',		'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'PLOT_HAS_MINE_REQUIREMENTS'),
		('JNR_GREENBUILDINGS_PRODUCTION_PENALTY_QUARRY',	'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'PLOT_HAS_QUARRY_REQUIREMENTS'),
		('JNR_GREENBUILDINGS_PRODUCTION_LUMBER_MILL',		'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'PLOT_HAS_LUMBER_MILL_REQUIREMENTS_JNR'),

		('JNR_ORGANICFARMING_FOOD_PENALTY_FARM',			'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'REQUIREMENTS_PLOT_HAS_ANY_FARM_TYPE_JNR'),
		('JNR_ORGANICFARMING_GOLD_FARM',					'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'REQUIREMENTS_PLOT_HAS_ANY_FARM_TYPE_JNR'),
		('JNR_ORGANICFARMING_CULTURE_FARM',					'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'REQUIREMENTS_PLOT_HAS_ANY_FARM_TYPE_JNR'),

		('JNR_CARBONCERTIFICATES_FAVOR_PENALTY',			'MODIFIER_PLAYER_CITIES_ADJUST_EXTRA_FAVOR_PER_TURN',			'CITY_HAS_CARBON_POWER_PLANT_JNR'),
		('JNR_CARBONCERTIFICATES_FAVOR',					'MODIFIER_PLAYER_ADJUST_EXTRA_FAVOR_PER_TURN',					NULL),

		('JNR_ECOTOURISM_CULTURE_CAMP',						'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'PLOT_HAS_CAMP_REQUIREMENTS'),
		('JNR_ECOTOURISM_CULTURE_PASTURE',					'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'PLOT_HAS_PASTURE_REQUIREMENTS'),
		('JNR_ECOTOURISM_CULTURE_PLANTATION',				'MODIFIER_PLAYER_ADJUST_PLOT_YIELD',							'PLOT_HAS_PLANTATION_REQUIREMENTS'),

		('JNR_ECOTOURISM_TOURISM_CAMP',						'MODIFIER_PLAYER_CITIES_ADJUST_TOURISM',						'CITY_HAS_PRESERVE_JNR'),
		('JNR_ECOTOURISM_TOURISM_PASTURE',					'MODIFIER_PLAYER_CITIES_ADJUST_TOURISM',						'CITY_HAS_PRESERVE_JNR'),
		('JNR_ECOTOURISM_TOURISM_PLANTATION',				'MODIFIER_PLAYER_CITIES_ADJUST_TOURISM',						'CITY_HAS_PRESERVE_JNR'),

		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_GOLD',			'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL',	NULL),
		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_PRODUCTION',	'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_YIELD_FOR_DOMESTIC',		NULL),
		('JNR_VSRZONES_APPEAL_COASTAL',						'MODIFIER_PLAYER_CITIES_ADJUST_CITY_APPEAL',					'PLOT_IS_ADJACENT_TO_COAST');
--------------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,										Name,				Value)
VALUES	('JNR_HYDROGENENGINES_GOLD_MAINTENANCE_COST',		'Amount',			-3),
		('JNR_HYDROGENENGINES_ABILITY_ATTACH',				'AbilityType',		'ABILITY_JNR_HYDROGEN_RESOURCE_FREE'),
		('JNR_HYDROGENENGINES_RESOURCE_MAINTENANCE_IGNORE',	'Ignore',			1),

		('JNR_BIODIVERSITY_NATIONAL_PARK_ATTACH',			'ModifierId',		'JNR_BIODIVERSITY_NATIONAL_PARK'),
		('JNR_BIODIVERSITY_PRESERVE_ATTACH',				'ModifierId',		'JNR_BIODIVERSITY_PRESERVE'),
		('JNR_BIODIVERSITY_NATIONAL_PARK',					'Amount',			1000),
		('JNR_BIODIVERSITY_PRESERVE',						'Amount',			1000),

		('JNR_ENERGIEWENDE_SCIENCE_IMPROVEMENTS',			'YieldType',		'YIELD_SCIENCE'),
		('JNR_ENERGIEWENDE_SCIENCE_IMPROVEMENTS',			'Amount',			3),
		('JNR_ENERGIEWENDE_SCIENCE_BUILDING',				'BuildingType',		'BUILDING_HYDROELECTRIC_DAM'),
		('JNR_ENERGIEWENDE_SCIENCE_BUILDING',				'YieldType',		'YIELD_SCIENCE'),
		('JNR_ENERGIEWENDE_SCIENCE_BUILDING',				'Amount',			3),
		
		('JNR_FEEDINTARIFFS_POWER',							'SourceType',		'FREE_POWER_SOURCE_SOLAR'),
		('JNR_FEEDINTARIFFS_POWER',							'Amount',			1),

		('JNR_FISHINGQUOTAS_GOLD_PENALTY_COAST',			'YieldType',		'YIELD_GOLD'),
		('JNR_FISHINGQUOTAS_GOLD_PENALTY_COAST',			'Amount',			-1),
		('JNR_FISHINGQUOTAS_FOOD_PENALTY_COAST',			'YieldType',		'YIELD_FOOD'),
		('JNR_FISHINGQUOTAS_FOOD_PENALTY_COAST',			'Amount',			-1),
		('JNR_FISHINGQUOTAS_FOOD_PENALTY_OCEAN',			'YieldType',		'YIELD_FOOD'),
		('JNR_FISHINGQUOTAS_FOOD_PENALTY_OCEAN',			'Amount',			-1),
		('JNR_FISHINGQUOTAS_FAVOR_COASTAL',					'Amount',			1),

		('JNR_GREENBUILDINGS_PRODUCTION_PENALTY_MINE',		'YieldType',		'YIELD_PRODUCTION'),
		('JNR_GREENBUILDINGS_PRODUCTION_PENALTY_MINE',		'Amount',			-1),
		('JNR_GREENBUILDINGS_PRODUCTION_PENALTY_QUARRY',	'YieldType',		'YIELD_PRODUCTION'),
		('JNR_GREENBUILDINGS_PRODUCTION_PENALTY_QUARRY',	'Amount',			-1),
		('JNR_GREENBUILDINGS_PRODUCTION_LUMBER_MILL',		'YieldType',		'YIELD_PRODUCTION'),
		('JNR_GREENBUILDINGS_PRODUCTION_LUMBER_MILL',		'Amount',			2),

		('JNR_ORGANICFARMING_FOOD_PENALTY_FARM',			'YieldType',		'YIELD_FOOD'),
		('JNR_ORGANICFARMING_FOOD_PENALTY_FARM',			'Amount',			-1),
		('JNR_ORGANICFARMING_GOLD_FARM',					'YieldType',		'YIELD_GOLD'),
		('JNR_ORGANICFARMING_GOLD_FARM',					'Amount',			1),
		('JNR_ORGANICFARMING_CULTURE_FARM',					'YieldType',		'YIELD_CULTURE'),
		('JNR_ORGANICFARMING_CULTURE_FARM',					'Amount',			1),

		('JNR_CARBONCERTIFICATES_FAVOR_PENALTY',			'Amount',			-1),
		('JNR_CARBONCERTIFICATES_FAVOR',					'Amount',			6),

		('JNR_ECOTOURISM_CULTURE_CAMP',						'YieldType',		'YIELD_CULTURE'),
		('JNR_ECOTOURISM_CULTURE_CAMP',						'Amount',			1),
		('JNR_ECOTOURISM_CULTURE_PASTURE',					'YieldType',		'YIELD_CULTURE'),
		('JNR_ECOTOURISM_CULTURE_PASTURE',					'Amount',			1),
		('JNR_ECOTOURISM_CULTURE_PLANTATION',				'YieldType',		'YIELD_CULTURE'),
		('JNR_ECOTOURISM_CULTURE_PLANTATION',				'Amount',			1),
		
		('JNR_ECOTOURISM_TOURISM_CAMP',						'ImprovementType',	'IMPROVEMENT_CAMP'),
		('JNR_ECOTOURISM_TOURISM_CAMP',						'ScalingFactor',	200),
		('JNR_ECOTOURISM_TOURISM_PASTURE',					'ImprovementType',	'IMPROVEMENT_PASTURE'),
		('JNR_ECOTOURISM_TOURISM_PASTURE',					'ScalingFactor',	200),
		('JNR_ECOTOURISM_TOURISM_PLANTATION',				'ImprovementType',	'IMPROVEMENT_PLANTATION'),
		('JNR_ECOTOURISM_TOURISM_PLANTATION',				'ScalingFactor',	200),

		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_GOLD',			'YieldType',		'YIELD_GOLD'),
		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_GOLD',			'Amount',			-6),
		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_GOLD',			'Intercontinental',	1),
		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_PRODUCTION',	'YieldType',		'YIELD_PRODUCTION'),
		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_PRODUCTION',	'Amount',			-3),
		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_PRODUCTION',	'Intercontinental',	1),
		('JNR_VSRZONES_APPEAL_COASTAL',						'Amount',			1);		
--------------------------------------------------------------

-- UnitAbilityModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO UnitAbilityModifiers
		(ModifierId,										UnitAbilityType)
VALUES	('JNR_HYDROGENENGINES_RESOURCE_MAINTENANCE_IGNORE',	'ABILITY_JNR_HYDROGEN_RESOURCE_FREE');
--------------------------------------------------------------

-- PolicyModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,										PolicyType)
VALUES	('JNR_HYDROGENENGINES_GOLD_MAINTENANCE_COST',		'POLICY_JNR_HYDROGEN_ENGINES'),
		('JNR_HYDROGENENGINES_ABILITY_ATTACH',				'POLICY_JNR_HYDROGEN_ENGINES'),
		
		('JNR_BIODIVERSITY_NATIONAL_PARK_ATTACH',			'POLICY_JNR_BIODIVERSITY'),

		('JNR_ENERGIEWENDE_SCIENCE_IMPROVEMENTS',			'POLICY_JNR_ENERGIEWENDE'),
		('JNR_ENERGIEWENDE_SCIENCE_BUILDING',				'POLICY_JNR_ENERGIEWENDE'),

		('JNR_FEEDINTARIFFS_POWER',							'POLICY_JNR_FEED_IN_TARIFFS'),

--		('JNR_FISHINGQUOTAS_GOLD_PENALTY_COAST',			'POLICY_JNR_FISHING_QUOTAS'),
		('JNR_FISHINGQUOTAS_FOOD_PENALTY_COAST',			'POLICY_JNR_FISHING_QUOTAS'),
		('JNR_FISHINGQUOTAS_FOOD_PENALTY_OCEAN',			'POLICY_JNR_FISHING_QUOTAS'),
		('JNR_FISHINGQUOTAS_FAVOR_COASTAL',					'POLICY_JNR_FISHING_QUOTAS'),

		('JNR_GREENBUILDINGS_PRODUCTION_PENALTY_MINE',		'POLICY_JNR_GREEN_BUILDING'),
		('JNR_GREENBUILDINGS_PRODUCTION_PENALTY_QUARRY',	'POLICY_JNR_GREEN_BUILDING'),
		('JNR_GREENBUILDINGS_PRODUCTION_LUMBER_MILL',		'POLICY_JNR_GREEN_BUILDING'),

		('JNR_ORGANICFARMING_FOOD_PENALTY_FARM',			'POLICY_JNR_ORGANIC_FARMING'),
		('JNR_ORGANICFARMING_GOLD_FARM',					'POLICY_JNR_ORGANIC_FARMING'),
		('JNR_ORGANICFARMING_CULTURE_FARM',					'POLICY_JNR_ORGANIC_FARMING'),
		
		('JNR_CARBONCERTIFICATES_FAVOR_PENALTY',			'POLICY_JNR_CARBON_CERTIFICATES'),
		('JNR_CARBONCERTIFICATES_FAVOR',					'POLICY_JNR_CARBON_CERTIFICATES'),
		
		('JNR_ECOTOURISM_CULTURE_CAMP',						'POLICY_JNR_ECOTOURISM'),
		('JNR_ECOTOURISM_CULTURE_PASTURE',					'POLICY_JNR_ECOTOURISM'),
		('JNR_ECOTOURISM_CULTURE_PLANTATION',				'POLICY_JNR_ECOTOURISM'),

		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_GOLD',			'POLICY_JNR_VSR_ZONES'),
		('JNR_VSRZONES_COASTAL_TRADE_PENALTY_PRODUCTION',	'POLICY_JNR_VSR_ZONES'),
		('JNR_VSRZONES_APPEAL_COASTAL',						'POLICY_JNR_VSR_ZONES');		

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,										PolicyType)
SELECT	'JNR_BIODIVERSITY_PRESERVE_ATTACH',					'POLICY_JNR_BIODIVERSITY'
FROM	Districts
WHERE	DistrictType='DISTRICT_PRESERVE';

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,										PolicyType)
SELECT	'JNR_ECOTOURISM_TOURISM_CAMP',						'POLICY_JNR_ECOTOURISM'
FROM	Districts
WHERE	DistrictType='DISTRICT_PRESERVE';

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,										PolicyType)
SELECT	'JNR_ECOTOURISM_TOURISM_PASTURE',					'POLICY_JNR_ECOTOURISM'
FROM	Districts
WHERE	DistrictType='DISTRICT_PRESERVE';

INSERT OR IGNORE INTO PolicyModifiers
		(ModifierId,										PolicyType)
SELECT	'JNR_ECOTOURISM_TOURISM_PLANTATION',				'POLICY_JNR_ECOTOURISM'
FROM	Districts
WHERE	DistrictType='DISTRICT_PRESERVE';
--------------------------------------------------------------

-- Improvement_Tourism
--------------------------------------------------------------
INSERT OR IGNORE INTO Improvement_Tourism
		(ImprovementType,    TourismSource,    PrereqTech)
VALUES	('IMPROVEMENT_CAMP',	'TOURISMSOURCE_CULTURE',	'TECH_FLIGHT');
--------------------------------------------------------------